Bug 114765 - The "Navigator" selection in Find bar does not fit in (insufficient space) the localized interface with Source Han Sans/Noto Sans CJK as the UI font
Summary: The "Navigator" selection in Find bar does not fit in (insufficient space) th...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Toolbar
  Show dependency treegraph
 
Reported: 2017-12-30 06:14 UTC by Cheng-Chia Tseng
Modified: 2021-09-12 15:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
English version of Find bar in Linux (10.66 KB, image/png)
2017-12-30 06:15 UTC, Cheng-Chia Tseng
Details
Chinese (traditional) version of Find bar in Linux (10.94 KB, image/png)
2017-12-30 06:15 UTC, Cheng-Chia Tseng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cheng-Chia Tseng 2017-12-30 06:14:57 UTC
Description:
The Find bar provide some handy functions to help users. 
However, the localized text cannot fit into the space and makes the "Navigator" dropdown list not work.

Steps to Reproduce:
1. Install LibreOffice in a local language such as CJK which may takes more space because of translation
2. Launch Writer and press Ctrl+F to activate the Find bar
3. See "Match Case" option and the "Navigator" selection dropdown list

Actual Results:  
1. The localized text of "Match Case" is cut. In Chinese (traditional) interface, we see only "區分大小寫(" which isn't end yet. This problem happens to both Windows and Linux platform.
2. The width of "Navigator selection dropdown list" is too narrow to show all the localized text, and it changed into localized version of "Navigate by".

Expected Results:
1. Users can see the full localized text of "Match Case"
2. Users can see the whole "Navigator selection dropdown list" as the total width is enough


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Cheng-Chia Tseng 2017-12-30 06:15:29 UTC
Created attachment 138742 [details]
English version of Find bar in Linux
Comment 2 Cheng-Chia Tseng 2017-12-30 06:15:53 UTC
Created attachment 138743 [details]
Chinese (traditional) version of Find bar in Linux
Comment 3 Cheng-Chia Tseng 2017-12-30 09:58:44 UTC
The environment: Fedora 27, GNOME 3.26, Chinese (traditional) locale (zh-tw), with Source Han Sans and Source Han Serif installed by default.
It picks Source Han Sans to display the UI, that could be the problem source.
Comment 4 Cheng-Chia Tseng 2017-12-30 16:24:06 UTC
Ubuntu and Fedora both uses Source Han Sans / Noto Sans CJK as the default Chinese (both simplified and traditional Chinese) fonts. 

Both Linux distributions are affected with this issue. Others which don't use Source Han Sans / Noto Sans CJK are not.
Comment 5 Cheng-Chia Tseng 2017-12-30 16:25:49 UTC Comment hidden (obsolete)
Comment 6 Kevin Suo 2018-03-06 02:47:16 UTC
I confirm this on Fedora 27 Gnome desktop with Simplified Chinese UI.
Comment 7 Xisco Faulí 2018-03-06 16:02:34 UTC
is it reproduced in previous versions of LibreOffice from https://dev-builds.libreoffice.org/pre-releases/ ?
Comment 8 QA Administrators 2019-03-07 03:43:34 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2021-03-07 04:15:06 UTC Comment hidden (obsolete)
Comment 10 Shinji Enoki 2021-09-12 13:14:34 UTC
I think this issue has been fixed


Did not reproduce in the following versions: 

Debian sid
Version: 7.2.0.4 / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: ja-JP (ja_JP.UTF-8); UI: ja-JP
Calc: threaded

Debian 10
Version: 7.0.4.2
Build ID: dcf040e67528d9187c66b2379df5ea4407429775
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: ja-JP (ja_JP.UTF-8); UI: ja-JP
Calc: threaded



Reproduced in the following version:

Debian 10
Version: 6.4.4.2
Build ID: 3d775be2011f3886db32dfd395a6a6d1ca2630ff
CPU threads: 4; OS:Linux 4.19; UI render: default; VCL: gtk3; 
Locale: ja-JP (ja_JP.UTF-8); UI: ja-JP
Calc: threaded
Comment 11 Cheng-Chia Tseng 2021-09-12 14:17:36 UTC
Yes. Confirmed LibreOffice 7.2 works fine.
Comment 12 Kevin Suo 2021-09-12 15:35:32 UTC
Change status as RESOLVED WORKSFORME instead of FIXED as we do not know which exact commit fixed this issue.